Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHPPoint3D

    java.lang.Object
      org.deegree.io.shpapi.SHPGeometry
          org.deegree.io.shpapi.SHPPoint
              org.deegree.io.shpapi.SHPPoint3D

    public class SHPPoint3D

extends SHPPoint

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`double` | `z`

Fields inherited from class org.deegree.io.shpapi.SHPPoint
`x, y`

Fields inherited from class org.deegree.io.shpapi.SHPGeometry
`envelope, recBuffer`

Constructor Summary
`SHPPoint3D()`
`SHPPoint3D(byte[] recBuf, int xStart, int numPoints)`
`SHPPoint3D(double x, double y, double z)`
`SHPPoint3D(Position point)`

Method Summary
`String` | `toString()`

Methods inherited from class org.deegree.io.shpapi.SHPPoint
`size, writeSHPPoint`

Methods inherited from class org.deegree.io.shpapi.SHPGeometry
`getEnvelope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### z

    public double z

Constructor Detail

### SHPPoint3D

    public SHPPoint3D()

### SHPPoint3D

    public SHPPoint3D(byte[] recBuf,
                      int xStart,
                      int numPoints)

Parameters:
  `recBuf` -
  `xStart` -
  `numPoints` -

### SHPPoint3D

    public SHPPoint3D(Position point)

Parameters:
  `point` -

### SHPPoint3D

    public SHPPoint3D(double x,
                      double y,
                      double z)

Parameters:
  `x` -
  `y` -
  `z` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SHPPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org